Bug 144910 - [new port] java/hgeclipse Mercurial VCS plugin for the Eclipse IDE
Summary: [new port] java/hgeclipse Mercurial VCS plugin for the Eclipse IDE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-20 15:50 UTC by kamikaze
Modified: 2010-09-07 19:19 UTC (History)
0 users

See Also:


Attachments
file.shar (4.21 KB, text/plain)
2010-03-20 15:50 UTC, kamikaze
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2010-03-20 15:50:01 UTC
- Adds Mercurial VCS plugin for the Eclipse IDE as java/hgeclipse

Fix: Patch attached with submission follows:
Comment 1 Edmondas Girkantas 2010-03-21 08:45:12 UTC
Hi,

This port already exists but has different name, see devel/mercurialeclipse.
I will update it after port freeze.

-- 
Edmondas Girkantas <eg@fbsd.lt>
Comment 2 kamikaze 2010-03-21 09:07:57 UTC
On 21/03/2010 09:45, Edmondas Girkantas wrote:
> Hi,
> 
> This port already exists but has different name, see devel/mercurialeclipse.
> I will update it after port freeze.
> 

Actually, no. They are separate projects. Mercurialeclipse is at
version 1.6.0 at the moment, but my impression is, it's less feature
complete than the hgeclipse branch.

In any way, the mercurialeclipse project is still alive and kicking:
http://bitbucket.org/mercurialeclipse/main/overview/
(latest activity 11 hours ago)

I think both branches should be available.
There probably should be a CONFLICTS line, I'll have to check whether
they can coexist.

-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?
Comment 3 kamikaze 2010-03-21 09:18:38 UTC
On 21/03/2010 09:45, Edmondas Girkantas wrote:
> Hi,
> 
> This port already exists but has different name, see devel/mercurialeclipse.
> I will update it after port freeze.
> 

I just recognized that the work from the hgeclipse branch has been
merged back into the bitbucked hosted mercurialeclipse project.

Now I'm entirely confused, which project one should follow.

Aargh

-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?
Comment 4 Edmondas Girkantas 2010-05-13 06:39:12 UTC
Hi,

Finally there is information about this plugin. Read it here:
http://bitbucket.org/mercurialeclipse/main/wiki/Home

This is the old development wiki, sourcecode repository and issue =
tracking of MercurialEclipse nowdays everything is hosted on javaforge =
at
http:javaforge.com/project/HGE

So I think we should remove mercurialeclipse port and add your hgeclipse =
port.

Edmondas=
Comment 5 kamikaze 2010-05-13 08:32:44 UTC
On 13/05/2010 07:39, Edmondas Girkantas wrote:
> Finally there is information about this plugin. Read it here:
> http://bitbucket.org/mercurialeclipse/main/wiki/Home
> 
> This is the old development wiki, sourcecode repository and issue tracking of MercurialEclipse nowdays everything is hosted on javaforge at
> http:javaforge.com/project/HGE
> 
> So I think we should remove mercurialeclipse port and add your hgeclipse port.

I have changed my java/hgeclipse port to 1.6.0 and attached the shar.
However, despite the official move to the HGE project site, it seems
that they keep the name mercurialeclipse, so it's probably better
to keep your port and not commit mine.

Of course you're free to copy'n'paste from me if that spares you
some redundant work.

Regards



# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	hgeclipse
#	hgeclipse/Makefile
#	hgeclipse/distinfo
#	hgeclipse/pkg-descr
#	hgeclipse/pkg-plist
#
echo c - hgeclipse
mkdir -p hgeclipse > /dev/null 2>&1
echo x - hgeclipse/Makefile
sed 's/^X//' >hgeclipse/Makefile << '61264525248445593778a650527d5d7a'
X# New ports collection makefile for:	hgeclipse
X# Date created:				20 Mar 2010
X# Whom:					kamikaze@bsdforen.de
X#
X# $FreeBSD$
X#
X
XPORTNAME=	hgeclipse
XPORTVERSION=	1.6.0.v201005111545
XCATEGORIES=	java devel
XMASTER_SITES=	http://cbes.javaforge.com/update/
XDISTFILES=	${PLUGINS:C,$,.jar,} \
X		${FEATURES:C,$,.jar,}
XDIST_SUBDIR=	${PORTNAME}-${PORTVERSION}
X
XMAINTAINER=	kamikaze@bsdforen.de
XCOMMENT=	Mercurial version control system plugin for the Eclipse IDE
X
XRUN_DEPENDS=	eclipse:${PORTSDIR}/java/eclipse \
X		hg:${PORTSDIR}/devel/mercurial
X
XNO_BUILD=	yes
XUSE_ZIP=	yes
X
XECLIPSE=	${PREFIX}/eclipse
XFEATURES=	features/mercurialeclipse_${PORTVERSION}
XPLUGINS=	plugins/com.vectrace.MercurialEclipse_${PORTVERSION}
XPLUGIN_PATHS=	plugins features
X
XPLIST_SUB=	VER=${PORTVERSION}
X
Xdo-extract:
X.for _feature in ${FEATURES}
X	@${MKDIR} ${WRKSRC}/${_feature}
X	@${EXTRACT_CMD} ${_DISTDIR}/${_feature}.jar -d ${WRKSRC}/${_feature}
X.endfor
X.for _plugin in ${PLUGINS}
X	@${MKDIR} ${WRKSRC}/${_plugin:C,/[^/]*$,,}
X	@${CP} ${_DISTDIR}/${_plugin}.jar ${WRKSRC}/${_plugin}.jar
X.endfor
X
Xdo-install:
X.for _path in ${PLUGIN_PATHS}
X	@${MKDIR} ${ECLIPSE}/${_path}
X	@${CP} -r ${WRKSRC}/${_path}/* ${ECLIPSE}/${_path}/
X.endfor
X
Xplist: patch
X	@${ECHO} "===>  Rebuilding PLIST."
X	@${TOUCH} ${PLIST}
X	@${RM} ${PLIST}
X.for _path in ${PLUGIN_PATHS}
X	@${FIND} ${WRKSRC}/${_path}/ -not -type d \
X		| ${SED} "s|${WRKSRC}|eclipse|1" \
X		| ${SED} "s|${PORTVERSION}|%%VER%%|g" \
X		>> ${PLIST}
X	@${FIND} -d ${WRKSRC}/${_path}/ -mindepth 1 -type d \
X		| ${SED} "s|${WRKSRC}|@dirrm eclipse|1" \
X		| ${SED} "s|${PORTVERSION}|%%VER%%|g" \
X		>> ${PLIST}
X	@${ECHO} "@dirrmtry eclipse/${_path}" >> ${PLIST}
X.endfor
X	@${ECHO} "@dirrmtry eclipse" >> ${PLIST}
X
X.include <bsd.port.mk>
61264525248445593778a650527d5d7a
echo x - hgeclipse/distinfo
sed 's/^X//' >hgeclipse/distinfo << 'a35f5ece825c4ee56765cb2223d3cc9f'
XMD5 (hgeclipse-1.6.0.v201005111545/plugins/com.vectrace.MercurialEclipse_1.6.0.v201005111545.jar) = 8a1fae4fd9f551b80af704fc73dd630d
XSHA256 (hgeclipse-1.6.0.v201005111545/plugins/com.vectrace.MercurialEclipse_1.6.0.v201005111545.jar) = 618943cb6609a17a7e830e80b991b03bb87e3fd6f4db9679d2ac92179d68b4f3
XSIZE (hgeclipse-1.6.0.v201005111545/plugins/com.vectrace.MercurialEclipse_1.6.0.v201005111545.jar) = 1327086
XMD5 (hgeclipse-1.6.0.v201005111545/features/mercurialeclipse_1.6.0.v201005111545.jar) = 15028c1c10c0ed4b47c5764413c3b66e
XSHA256 (hgeclipse-1.6.0.v201005111545/features/mercurialeclipse_1.6.0.v201005111545.jar) = 4632db32eb288495cdf9d4b0f29ca546f817bc43a26d9991835e87b6899e546f
XSIZE (hgeclipse-1.6.0.v201005111545/features/mercurialeclipse_1.6.0.v201005111545.jar) = 5304
a35f5ece825c4ee56765cb2223d3cc9f
echo x - hgeclipse/pkg-descr
sed 's/^X//' >hgeclipse/pkg-descr << 'd79a0fe8e1d76b7c6e9e4994fa470e8f'
XMercurialEclipse is a plugin providing support for the highly popular Mercurial
Xdistributed version control system within the Eclipse IDE.
X
XMercurialEclipse supports:
X
X    * cloning repositories and importing them as Eclipse projects
X    * push, pull and convenient syncronization
X    * working with branches (branch, merge and rebase)
X    * tags
X    * undo (backout, rollback and strip)
X    * diffs
X    * histories
X    * patches
X    * Mercurial extensions (mqueue, transplant and such) 
X
XWWW: http://javaforge.com/project/HGE
d79a0fe8e1d76b7c6e9e4994fa470e8f
echo x - hgeclipse/pkg-plist
sed 's/^X//' >hgeclipse/pkg-plist << 'd838e5816af905f72852b7ba56537516'
Xeclipse/plugins/com.vectrace.MercurialEclipse_%%VER%%.jar
X@dirrmtry eclipse/plugins
Xeclipse/features/mercurialeclipse_%%VER%%/META-INF/MANIFEST.MF
Xeclipse/features/mercurialeclipse_%%VER%%/feature.xml
X@dirrm eclipse/features/mercurialeclipse_%%VER%%/META-INF
X@dirrm eclipse/features/mercurialeclipse_%%VER%%
X@dirrmtry eclipse/features
X@dirrmtry eclipse
d838e5816af905f72852b7ba56537516
exit
Comment 6 kamikaze 2010-09-07 15:01:11 UTC
Please close this, I will create a new PR that updates the
existing mercurialeclipse port.

Regards
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2010-09-07 19:19:46 UTC
State Changed
From-To: open->closed

Closed at submitter's request.